PDA

View Full Version : SLES 12 Missing ruby-augeas bindings



ivhoese
01-Oct-2015, 15:26
Hi,

i wanted to use the puppet augeas type but unfortunately ruby is missing the required augeas bindings ...

Error: Could not find a suitable provider for augeas


The Puppet Documentation (https://docs.puppetlabs.com/references/3.stable/type.html#augeas) says that we need: Augeas and The ruby-augeas bindings

I couldn't find these bindings in:

SLES 12 x86_64
sle-sdk 12 x86_64
sle-module-adv-systems-management 12 x86_64
sle-module-web-scripting 12 x86_64


Please provide these bindings via the sle-module-adv-systems-management repo.

THANKS!

Regards,
Erik

malcolmlewis
01-Oct-2015, 15:51
On Thu 01 Oct 2015 02:34:01 PM CDT, ivhoese wrote:


Hi,

i wanted to use the puppet augeas type but unfortunately ruby is missing
the required augeas bindings ...

Code:
--------------------
Error: Could not find a suitable provider for augeas

--------------------


The 'Puppet Documentation'
(https://docs.puppetlabs.com/references/3.stable/type.html#augeas) says
that we need: Augeas and *The ruby-augeas bindings*

I couldn't find these bindings in:

- SLES 12 x86_64
- sle-sdk 12 x86_64
- sle-module-adv-systems-management 12 x86_64
- sle-module-web-scripting 12 x86_64


Please provide these bindings via the sle-module-adv-systems-management
repo.

THANKS!

Regards,
Erik




Hi
You can always install manually as it's a gem?

There is an unsupported rpm package for SLE 12 on OBS;
http://download.opensuse.org/repositories/devel:/languages:/ruby:/extensions/SLE_12/

Will Ask my SUSE contacts if there are plans to include.

--
Cheers Malcolm °¿° LFCS, SUSE Knowledge Partner (Linux Counter #276890)
SUSE Linux Enterprise Desktop 12 | GNOME 3.10.1 | 3.12.44-52.18-default
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below... Thanks!

ivhoese
02-Oct-2015, 08:09
Hi malcolmlewis,

thanks for your reply.

My problem is that i'm not allowed to use external, unsupported repos.
Additionally i don't want to install this gem manually since i don't like maintaining these gems manually on several machines. Pushing this gem into officially supported sles repos would be my preferred way.

Thanks for asking your SUSE contacts, i'm looking forward hearing some good news ;)

Regards,
Erik